Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(122)

Issue 1407903002: Move conditionals inside target_defaults. (Closed)

Created:
5 years ago by dsinclair
Modified:
5 years ago
Reviewers:
Lei Zhang, Tom Sepez
CC:
pdfium-reviews_googlegroups.com
Base URL:
https://pdfium.googlesource.com/pdfium.git@master
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Move conditionals inside target_defaults. This CL moves the conditionals inside the target_defaults configuration. This causes the -fPIC to get picked up and allows component=shared_library to build correctly. BUG=pdfium:218 R=thestig@chromium.org Committed: https://pdfium.googlesource.com/pdfium/+/26268af2c1242dd173aea6dcbf763a36e734faf3

Patch Set 1 #

Total comments: 7

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -20 lines) Patch
M build/standalone.gypi View 1 2 2 chunks +14 lines, -20 lines 0 comments Download

Messages

Total messages: 12 (1 generated)
dsinclair
PTAL. This allows the build to succeed for me with component=shared_library in my GYP_DEFINES. I ...
5 years ago (2015-10-15 20:19:59 UTC) #2
Tom Sepez
https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi File build/standalone.gypi (right): https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi#newcode253 build/standalone.gypi:253: 'target_defaults': { These target_defaults blocks may be redundant inside ...
5 years ago (2015-10-15 20:25:50 UTC) #3
Tom Sepez
https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi File build/standalone.gypi (right): https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi#newcode247 build/standalone.gypi:247: ['component=="shared_library"', { We'd want to this to apply to ...
5 years ago (2015-10-15 20:26:57 UTC) #4
Tom Sepez
https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi File build/standalone.gypi (right): https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi#newcode247 build/standalone.gypi:247: ['component=="shared_library"', { On 2015/10/15 20:26:56, Tom Sepez wrote: > ...
5 years ago (2015-10-15 20:38:14 UTC) #5
Tom Sepez
Change description should probably read 'Move conditionals inside target_defaults', since that's where its going, not ...
5 years ago (2015-10-15 20:39:50 UTC) #6
dsinclair
https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi File build/standalone.gypi (right): https://codereview.chromium.org/1407903002/diff/1/build/standalone.gypi#newcode247 build/standalone.gypi:247: ['component=="shared_library"', { On 2015/10/15 20:26:56, Tom Sepez wrote: > ...
5 years ago (2015-10-15 21:02:14 UTC) #7
Tom Sepez
Thanks!!! Looks good, but let's get Lei's eyeballs on this too.
5 years ago (2015-10-15 22:10:06 UTC) #8
Lei Zhang
commit msg typo: "contionals"
5 years ago (2015-10-16 01:30:36 UTC) #9
Lei Zhang
lgtm https://codereview.chromium.org/1407903002/diff/20001/build/standalone.gypi File build/standalone.gypi (right): https://codereview.chromium.org/1407903002/diff/20001/build/standalone.gypi#newcode261 build/standalone.gypi:261: '_HAS_EXCEPTIONS=0', Need an extra space indentation here and ...
5 years ago (2015-10-16 01:32:36 UTC) #10
dsinclair
https://codereview.chromium.org/1407903002/diff/20001/build/standalone.gypi File build/standalone.gypi (right): https://codereview.chromium.org/1407903002/diff/20001/build/standalone.gypi#newcode261 build/standalone.gypi:261: '_HAS_EXCEPTIONS=0', On 2015/10/16 01:32:35, Lei Zhang wrote: > Need ...
5 years ago (2015-10-16 01:43:34 UTC) #11
dsinclair
5 years ago (2015-10-16 01:43:55 UTC) #12
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as
26268af2c1242dd173aea6dcbf763a36e734faf3 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698